Ubuntu

Shut Down won't power off with an ASUS P5GD1 motherboard

Reported by Bjorn Tipling on 2006-04-30
30
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Undecided
Colin King
linux-source-2.6.20 (Ubuntu)
Low
Unassigned
linux-source-2.6.22 (Ubuntu)
Undecided
Brian Murray

Bug Description

I can reboot okay, but when I shut down the computer it goes through and I see the shutting down screen and it gets to the very end of everything (I think - the progress bar is at the end) and it just hangs there and my computer never shuts down. I have an ASUS P5GD1 motherboard.

----

The symptom of this particular bug, failure to power off when shutting down, is specific to the hardware and BIOS used. So while many people may have the same symptom each should be a separate bug. The bug report should contain the information requested at http://wiki.ubuntu.com/KernelTeamBugPolicies and the output of 'sudo dmidecode'. A new bug report's title should contain information about either your motherboard or system make and model.

Tormod Volden (tormodvolden) wrote :

Can you temporarily omit the "splash" option in the grub menu? (At the grub menu press e to edit, use arrow keys and backspace to remove the word, enter to finish and b to boot). Now there will be lots of messages instead of the boot/shutdown screen. What is the last message when you shut down?

I get:

* Unmounting remote filesystems...
* Deconfiguring network interfaces...
* Unmoutning local filesystem...
* Deactivating Swap...
* Shutting down LVM Volume Groups...
* Will now halt
[4294733.631000] Power down.

And then it just stays there and never shuts down.

Tormod Volden (tormodvolden) wrote :

Thanks, can you please run "sudo dmidecode >dmidecode.out" and attach the resulting file dmidecode.out?

This is the output as per the instructions given.

Thanks for the information. Now we have to wait for the kernel knights to come to the rescue.

Changed in linux-source-2.6.15:
status: Needs Info → Unconfirmed
Tormod Volden (tormodvolden) wrote :

It's very quiet out there :)
You are using BIOS version 1005, while the newest one for your board is 1014. Would you dare trying an upgrade?
http://support.asus.com/download/download_item_nn.aspx?model=P5GD1&product=1&f_name=&type=BIOS&SLanguage=en-us

ianni67 (ianni67) wrote :

I have the same problem.
The point is, that with breezy everything was fine. The problem started with dapper. This means, I think, that it is not a problem of outdated bios. It is a problem with kernel/acpi...

Mikael Gerdin (mgerdin) wrote :

I have the same problem with a P5GD1 Pro and latest feisty kernel
(2.6.20-5-generic), running the latest beta BIOS from ASUS (1013).
The problem has been persistent in every kernel since i ran Dapper on the machine.
However if i run `shutdown -h now` on the root console from booting Recovery mode, it shuts down just as it should. It also shuts down perfectly if i choose shutdown from the KDM login screen, however if i log in to X, then all my chances to get it to shut down by itself are lost.

Tormod Volden (tormodvolden) wrote :

ianni and mikael, can you also attach dmidecode outout please? Bjorn, did you try feisty herd-2?

Changed in linux-source-2.6.15:
status: Unconfirmed → Confirmed
Changed in linux-source-2.6.20:
status: Confirmed → Needs Info

Here's my dmidecode output.

Changed in linux-source-2.6.20:
status: Needs Info → Confirmed

I have not tried feisty yet, and this bug hasn't been an issue for me because I rarely shut of my machine anymore, I generally just reboot it which works fine.

Tim Gardner (timg-tpi) on 2007-02-26
Changed in linux-source-2.6.20:
assignee: nobody → timg-tpi
Tim Gardner (timg-tpi) wrote :

Please get the daily Feisty build from:
http://cdimage.ubuntu.com/daily-live/current/feisty-desktop-i386.iso

You can boot from this live CD to experiment with shutdown.

Mikael Gerdin (mgerdin) wrote :

The shutdown problem seems to be fixed with the latest Feisty kernel (2.6.20-9-generic).
I haven't tested it more than twice yet, but it looks promising.
Very nice :)

Mikael Gerdin (mgerdin) wrote :

Nope, false alarm.
It still doesn't work every time.

Ben Collins (ben-collins) wrote :

Confirmed bugs need to be assigned to ubuntu-kernel-team.

Changed in linux-source-2.6.20:
assignee: timg-tpi → ubuntu-kernel-team
Przemysław Kulczycki (azrael) wrote :

I have a HP Compaq nx6325 and both power off on shutdown and restarting don't work.

Tim Gardner (timg-tpi) wrote :

Major lib-ata and ACPI fixes will appear in the daily ISO http://cdimage.ubuntu.com/daily-live/current by Monday 4/2. Kernel version must be at least 2.6.20-14. Please give that a try.

Changed in linux-source-2.6.20:
assignee: ubuntu-kernel-team → ubuntu-kernel-acpi
importance: Medium → Low
Przemysław Kulczycki (azrael) wrote :

After today's update power off and restart works.

Przemysław Kulczycki (azrael) wrote :

Now it does not work again. WTF?
There is no kernel 2.6.20-14 yet.
I have 2.6.20-13, from today's update.

Przemysław Kulczycki (azrael) wrote :

I've found a funny workaround: if you restart the X server after booting (by pressing ctrl-alt-backspace) restarting and shutting down magically works.
I don't know if it is kdm fault. Or xorg-driver-fglrx (I have an ATI card - does everyone else experience this bug only on ATI cards?).

I have an nvidia card and had this problem. I haven't gottten around yet to updating.

Dee (dee24) wrote :

Same for me. Huh... I also got the same sequence as posted by the first user.

Sometimes, Alt+Ctrl+Del doesn't work and so, that's when the Magic keys come in.

So for me, the only way I can get the pc to shut down properly is by doing a reboot and choosing "Shut down" at the "Ubuntu login screen".

Przemysław Kulczycki (azrael) wrote :

I've changed my driver from fglrx to ati and now shutting down and restarting works. But I think it is a separate bug.

Przemysław Kulczycki (azrael) wrote :

Go to bug #105191 to trace the fglrx issue.

medo (medo-aura) wrote :

I had the same problem with Kubuntu Feisty 7.04 and Nvidia GeForce 7300 LE, my computer never shut down correctly or restarted: I alwayg got the "Deactivating swap" message and then never happened. I have solved the problem restarting X-Server from the login screeen. If I restart X-Server before shutdown all works perfectly.

sqlpython (sqlpython) wrote :

Solved: Dell 1501 amd64 won't Shutdown after fglrx install.
« on: October 04, 2007, 09:34:31 pm »
 After I installed ATI fglrx on my Del 1501 amd64 it would not Reboot/Shutdown/Logout..
I am running Feisty 7.04 AMD64 kenel..
Here is my fglrxinfo
display: :0.0 screen: 0
OpenGL vendor string: ATI Technologies Inc.
OpenGL renderer string: RADEON XPRESS Series
OpenGL version string: 2.0.6334 (8.34.Cool

Here is what I did to fix the Problem. I hope it helps someone else.

******************
** These 3 steps correct/allow per KDE GUI Logout/Reboot/Shutdown

# Kubuntu 7.04 amd64 w/ ATI fglrx Installed
# Now Won't Shutdown w/ KDE GUI Log Out
# The fix 3 Steps
#
1.. Modify GRUB's menu.lst
#
/boot/grub/menu.lst
add to kernel line acpi=force
kernel /boot/vmlinuz-2.6.20-16-generic root=UUID=a8862269-c6ee-4525-bb66-94f53824fdc1 ro quiet splash acpi=force
#
2.. Change KDE Session Manager
#
Also K > Settings > KDE Components > Session Manager
Change [Default Shutdown Option] to (X) Turn Off Computer
#
3.. Modify kdmrc
# /etc/kd3/kdm/kdmrc
# ADD to Section
#[X-*-Core]
TerminateServer=true
************************
Th-The Th-The Th-The That's All Folks! (C) Looney Tunes

genobis (anunnaki-o2) wrote :

I have the same problem on Feisty AND Gutsy. It is definitely kernel problem - if I run 2.6.17-11 (or older) everything is ok, but on 2.6.20.* power down does not work, as mentioned above.

It is somewhat annoying, and I can switch between kernels on the same system - so maybe I can help you somehow?

btw, restarting works ok

genobis (anunnaki-o2) wrote :

I have found out, that - in my case - madwifi drivers were the problem cause. Unloading them solved the problem.

Manuel (msquarci) wrote :

I have the same problem on my ASUS P5GD1 Pro with the latest stable BIOS (Rev. 1012).
I can confirm this trouble with Feisty 7.04 and now with Gutsy 7.10.
Please find in attach my dmidecode.out and two text files with the messages displayed during the shutdown process.

Hamerin (justo-alcon) wrote :

I can confirm this trouble with Gutsy 7.10. I haven´t this trouble with Feisty 7.04. I can´t shutdow my system because my system hangs. I have a HP nx9030 with a Intel Centrino 1.6 Ghz and a Intel Graphic Card.

Tormod Volden (tormodvolden) wrote :

Hamerin, can you please also run "sudo dmidecode > dmidecode.txt" and attach the file dmidecode.txt?

Hamerin (justo-alcon) wrote :

Of course, here is my dmedecode output Tormod Volden. On others versions of Ubuntu I hadn't this trouble. With Gutsy 7.10 I get a black screen instead the usplash and the system don't halt, the system get hangs. Thanks for all. Bye.

ThomThom (thomas-thomthom) wrote :

I'm having this issue on my VIA EPIA SP 13000.

When I disable the boot splash screen I'm faced with this:

---
 System is shutting down, please wait...
---

NetworkManager: <WARN> mn_signal_handler(): caught signal 15,
shutting down normally.

NetworkManager: <info> Caught termination signal

NetworkManager: <debug> [1193573771.092816] nm_print_open_socks()
Open sockets List:

NetworkManager: <debug> [1193573771.092816] nm_print_open_socks()
Open sockets Done.

NetworkManager: <WARN> nm_hal_deinit(): libhal shutdown failed -
Did not receive a reply. Possible causes include: the remote
application did not send a reply, the message bus security policy
blocked the reply, the reply timeout experied, or the network
connection as broken.

[ 226.137045] System halted.

"sudo dmidecode > dmidecode.txt" returns dmidecode.txt with just this;

# dmidecode 2.9
# No SMBIOS nor DMI entry point found, sorry.

I'm not sure if it's relevant, but upon boot I see a message saying something like; "no DMI BIOS year, acpi=force is required to enable ACPI"

ThomThom (thomas-thomthom) wrote :

Turns out that ACPI was my problem. I force enabled it and it now shuts down correctly. I suppose it's the BIOSs fault for not identifying it's year? It's from 2005.

Praveen (mpraveenreddy) wrote :

Hi there, I can confirm this issue with Gutsy 7.10. I haven´t this trouble with Feisty 7.04. I can´t shutdown my system because my system hangs. I have a Acer TravelMate 4050 with a Intel Centrino 1.6 Ghz and a Intel Graphic Card.

Mark Nevill (nevillm) wrote :

I've had this problem with Feisty and it is still present in Gutsy. I can even hear my hard disk park at the end of the shutdown sequence, but the computer doesn't actually turn off.

Praveen (mpraveenreddy) wrote :

Hi,
I just reset my system bios to default settings, and everything is working fine....
Let me know if any one need any more details.
Thanks

I think the answer should be plain:

Use any of the /etc/rc.local scripts or create a new one. Add the following three lines:

#/bin/bash
sudo gru
halt

Here's an explanation: I use my GRUB to halt the system in its shell. That;s what everyone said. They reboot to power their systems off. What if we could enter the GRUB shell and do this by itself?

I haven't tried this y self so don't make me responsible for any damage to unmounted file systems. That can cause loss of data.

Praveen: Can you please explain which BIOS you have?
Everyone: Are you dual bootng with Windows? Probably. I face the problem when dual oot with a Windows or DOS. Try installing it on a clean, small, IDE hard drive and boot from it.

I think the answer should be plain:

Use any of the /etc/rc.local scripts or create a new one. Add the following three lines:

#/bin/bash
sudo grub
halt

Here's an explanation: I use my GRUB to halt the system in its shell. That;s what everyone said. They reboot to power their systems off. What if we could enter the GRUB shell and do this by itself?

I haven't tried this y self so don't make me responsible for any damage to unmounted file systems. That can cause loss of data.

Praveen: Can you please explain which BIOS you have?
Everyone: Are you dual bootng with Windows? Probably. I face the problem when dual oot with a Windows or DOS. Try installing it on a clean, small, IDE hard drive and boot from it.

Praveen (mpraveenreddy) wrote :

Hi,

I am @ office.. so will post the BIOS details when i reach home.

Yes, i am using dual boot setup with Windows XP and Ubuntu 7.10 (Clean install)

I have an ACER Travelmate 4052 Laptop with the following specifications:

Specifications

    * Intel Pentium M 725 processor (1.6GHz, 400MHz FSB, 2MB L2 cache, 64KB L1 cache)
    * 15.0" TFT LCD (1024x768)
    * Intel 855GM chipset
    * CD-RW combo drive
    * 802.11b/g wireless (ipw2200)
    * 3 USB ports, 1 Firewire, IR, 1 PCMCIA

Regarding shutdown, and random hang, the issue still persists, when i boot windows, and then into Linux.
It just hangs, and i cannot use my Laptop keyboard, sometimes, mouse works.

Rgds,
Praveen

Praveen (mpraveenreddy) wrote :

My System BIOS details:

I can see the following details, when i switch on the Laptop

Insyde Software MobilePRO BIOS Ver 4.00.00
System BIOS Ver : V1.40
VGA BIOS Version : 3104

If you need any more details, please let me know

Thanks, and Rgds,
Praveen

Dyno (dyno-fu) wrote :

same problem for me,

HP Compat nc6220
uname -a
Linux koala 2.6.22-14-386 #1 Sun Oct 14 22:36:54 GMT 2007 i686 GNU/Linux

Dyno (dyno-fu) wrote :

for the above post,
shutdown -h now is ok, but reboot is not.

Shouldn't have spent so much time in replying but sorry. I agree acpi=force works pretty well (although you will recieve a notification before a kernel boots that acpi=force is required to enable acpi). I agree with all who mentioned this in their posts (sorry for the bad citation). I suggest that one should either add the acpi=force attribute or wipe out Windows. The latter is a better option because *nix is much better. However, newbies who still depend on Windows should choose the former option.

That's all for now. Such bugs should be reported to the Kernel Team I agree.

The answer is in acpi=force.

I think this should be end of this very very long thread! I was directed here by LinuxForums.org. I faced this problem in my computer which is an Intel i486 64 MB RAM 450 MHz. But this should work for all x86s. Hope so! And hope that the bug is fixed in Hardy.

Brian Murray (brian-murray) wrote :

The symptom of this particular bug, failure to power off when shutting down, is specific to the hardware and BIOS used. So while many of you may have the same symptom they really should be different bugs. It would be helpful if everyone were to test with a Hardy Alpha build, http://www.ubuntu.com/testing/ , and open a separate bug report for their hardware using "linux" as the package. The bug report should contain the information requested at http://wiki.ubuntu.com/KernelTeamBugPolicies and the output of 'sudo dmidecode'. Additionally, it would be great if you made the titles of a new bug report contain information about either your motherboard or system. I apologize for any inconvenience this might cause but appreciate your cooperation and your helping to make Ubuntu better.

Changed in linux-source-2.6.22:
assignee: nobody → brian-murray
status: New → Incomplete

Hi, my 7.10 wont shut down properly, it display some texts but hangs! here is my demicode:

nop (nopnopzero) wrote :

Hi,

I had upgraded my Ubuntu box since the Dapper release . After the Edgy, I had noticed that my computer no longer shutdown. I upgraded successively to Feisty, Gutsy and Hardy 8.04. Unfortunately my system still did not properly shutdown :(. The poweroff process hangs at "computer will now halt". Alt-Ctrl-Suppr does nothing but respawning a poweroff script.

I wonder if it is really an hardware problem, since an older version of Ubuntu can power off my computer. My hardware is not longer supported (AMD Athlon on a Soltek motherboard SL-75FRN2), so I cannot make any BIOS update. I also booted on my old rusty 2k4 Knoppix and it does shutdown.

I fiddled also with kernel boot options (acpi/apm), but I only managed to get my computer going to hibernation mode. Pretty fun, but what I want is a complete power off :p

Finally, I started banging on my keyboard like a mad monkey and I accidentally have discovered the magic SysRq key (http://en.wikipedia.org/wiki/Magic_SysRq_key) kernel features are not disabled on my stock kernel (Linux Machine 2.6.24-16-generic #1 SMP Thu Apr 10 13:23:42 UTC 2008 i686 GNU/Linux).

I can now happily and unsafely shutdown my computer but I hope this problem could be resolved one day.

nop (nopnopzero) wrote :

My dmidecode.out

ljrossi (ljrossi) wrote :

I hade made a clean install to 8.04, the problem persist . I had it on 7.10 and 7.04 .

Before I try a Kubuntu and it did shutdow power correctly.

Only for testitng porpuose I made a "halt" command on the shell of "recovery mode" and works ok.

I dont undestand what the ubuntu is doing when trying to shutdown but looks that something hang up things.

description: updated
JB5 (sir-bunt) wrote :

After upgrade from Gutsy-64 to Hardy-64, this problem was introduced for me!

Created separate bug report as detailed above [url=https://bugs.launchpad.net/ubuntu/+bug/227844]bug report[/url]

Sebastian Semmler (semmi) wrote :

I have the same problem! When I can expect the problem will solve?
Or is there any solution right now?

in the terminal issue the following command:

sudo halt now

On Thu, Jul 3, 2008 at 4:19 PM, The-Fang <email address hidden> wrote:

> I have the same problem! When I can expect the problem will solve?
> Or is there any solution right now?
>
> --
> Shut Down won't power off with an ASUS P5GD1 motherboard
> https://bugs.launchpad.net/bugs/42160
> You received this bug notification because you are a direct subscriber
> of the bug.
>

Sebastian Semmler (semmi) wrote :

it do not work with sudo halt now. the problem is still the same

Praveen (mpraveenreddy) wrote :

I am using "sudo halt now" everytime whenever I wanted to shutdown my
system, I have not faced any issues after this workaround.

Moreover, if i shutdown using normal method, my laptop would hang forever...
:(

Regards,
Praveen

On Fri, Jul 11, 2008 at 9:55 PM, The-Fang <email address hidden> wrote:

> it do not work with sudo halt now. the problem is still the same
>
> --
> Shut Down won't power off with an ASUS P5GD1 motherboard
> https://bugs.launchpad.net/bugs/42160
> You received this bug notification because you are a direct subscriber
> of the bug.
>

For me the situation is rather different.

I’m able to shut the computer down properly only when I use s2disk (from µswsusp) and there aren’t any acpi=... kernel parameters.

Any other ways of turning off the computer, be it halt, shutdown, pm-hibernate, fail for me. With the acpi=force workaround even s2disk stops working: I see ‘Will now halt’, the hard disk is parked, but the fans continue producing noise and the display keeps working.

What might be special in the way s2disk powers off the computer?

Hi Roman,

Can you comment which kernel you are using? If you can paste the output of 'cat /proc/version_signature' that would be great. Have you also tried with the most recent Intrepid Ibex 8.10 release that came out last month? Thanks.

Additionally, the 18 month support period for Feisty Fawn 7.04 has reached it's end of life - http://www.ubuntu.com/news/ubuntu-7.04-end-of-life . As a result we are closing the linux-source-2.6.20 task. I'll go ahead and open a "linux" kernel task for this to remain open against the actively developed kernel. However, I'm setting it to Incomplete until we get feedback that this is still an issue with the most recent Intrepid release. Thanks.

Changed in linux-source-2.6.20:
status: Confirmed → Won't Fix
Changed in linux:
status: New → Incomplete

I'm also closing the 2.6.22 task as we'll target the actively developed kernel for a fix. Thanks.

Changed in linux-source-2.6.22:
status: Incomplete → Won't Fix
Praveen (mpraveenreddy) wrote :

This issue was solved long time back maybe 2 months...

I had modified some config file, wre in device parameter needs to be
update. Let me find the details/link, and update this thread

Thanks,
Praveen

On Wed, Nov 12, 2008 at 4:37 AM, Leann Ogasawara <email address hidden> wrote:
> I'm also closing the 2.6.22 task as we'll target the actively developed
> kernel for a fix. Thanks.
>
> ** Changed in: linux-source-2.6.22 (Ubuntu)
> Status: Incomplete => Won't Fix
>
> --
> Shut Down won't power off with an ASUS P5GD1 motherboard
> https://bugs.launchpad.net/bugs/42160
> You received this bug notification because you are a direct subscriber
> of the bug.
>

Mikael Gerdin (mgerdin) wrote :

I still have this problem with my P5GD1 motherboard.
I've tried almost every kernel since my first comment on this bug (~2.6.20 something) as I've been running the development versions of ubuntu. None of them can successfully power it off.

Update:

The upgrade to Linux 2.6.24-21.43 broke even s2disk. The most recent upgrade, which consisted of Linux 2.6.24-22.45 and related packages, brought s2disk back to life.

It should also be noted that I’m using the nvidia proprietary driver, version 180.06 beta. Other versions of it also didn’t cause problems.

So, 2.6.24-21.42 worked, -21.43 didn’t, 2.6.24-22.45 does work (with s2disk, I don’t use regular shutdown). I think the diff between these versions would provide insight into this problem.

I’m using Hardy, unwilling to upgrade until at least KDE 4.2.

A clean install of Jaunty (kernel 2.6.28-4-generic) solves the issue for me without any workarounds.

Mikael Gerdin (mgerdin) wrote :

It works for me now with intrepid -11 kernel, probably because I was messing around in BIOS and resetting CMOS, as someone mentioned earlier. I think it's time to finally close this one :)

JB5 (sir-bunt) wrote :

Unfortunately, upgrading to the intrepid proposed kernel release .....-11, has not fixed the problem for me.

Bjorn Tipling, since you are the original bug reporter, can you comment if this is still an issue for you with the most recent 2.6.27-11 kernel in intrepid-proposed (http://wiki.ubuntu.com/Testing/EnableProposed) or if possibly the even newer 2.6.28 based kernel available in the upcoming Jaunty 9.04 (currently Alpha3) resolves this for you - http://cdimage.ubuntu.com/releases/jaunty/ .

JB5 - lets continue to track the issue you are seeing at your separate bug report, bug 227844. Thanks.

Colin King (colin-king) wrote :

@Bjorn Tipling:

This bug report is being closed because we received no response to the previous inquiry for information. Please reopen if this is still an issue in the current Ubuntu release, Jaunty Jackalope 9.04. To reopen the bug, click on the current status, under the Status column, and change the status back to "New". Thanks.

Changed in linux (Ubuntu):
status: Incomplete → Won't Fix
Colin King (colin-king) on 2009-04-28
Changed in linux (Ubuntu):
assignee: nobody → colin-king
Curtis Hovey (sinzui) on 2012-04-09
Changed in linux-source-2.6.20 (Ubuntu):
assignee: Registry Administrators (registry) → nobody
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers